VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions
VisimRenderGL.GLMaterialMan Class Reference
Inheritance diagram for VisimRenderGL.GLMaterialMan:

List of all members.

## Public Member Functions
| GLMaterialMan (IRenderer render)
## Protected Member Functions
override IRenderMaterial | CreateSimpleColor (string name, VisiMath.ColorByte color)
override IRenderMaterial | CreateColorMaterial (string name, ref StandardColorValues values)
| Creates standard colored material from color values.
override IRenderMaterial | CreateTexturedSimple (string name, Texture tex)
| Creates simple textured material (just one color texture)
override IRenderMaterial | CreateTextured (string name, Texture tex, ref StandardColorValues values)
| Creates colored textured material (standard colors + one diffuse texture)

## Constructor & Destructor Documentation

VisimRenderGL.GLMaterialMan.GLMaterialMan | ( | IRenderer | render | ) |

## Member Function Documentation

override IRenderMaterial VisimRenderGL.GLMaterialMan.CreateColorMaterial | ( | string | name,
|  | ref StandardColorValues | values
| ) |  | `[protected, virtual]`

Creates standard colored material from color values.

Parameters:

  values | Color values for standard lightning equation

Returns:
  New material

Implements VisimBox.Renderer.MaterialManager.

override IRenderMaterial VisimRenderGL.GLMaterialMan.CreateSimpleColor | ( | string | name,
|  | VisiMath.ColorByte | color
| ) |  | `[protected]`

override IRenderMaterial VisimRenderGL.GLMaterialMan.CreateTextured | ( | string | name,
|  | Texture | tex,
|  | ref StandardColorValues | values
| ) |  | `[protected, virtual]`

Creates colored textured material (standard colors + one diffuse texture)

Parameters:

  tex | Texture
  values | Color values
  name | Requested name for the material

Returns:
  New material

Implements VisimBox.Renderer.MaterialManager.

override IRenderMaterial VisimRenderGL.GLMaterialMan.CreateTexturedSimple | ( | string | name,
|  | Texture | tex
| ) |  | `[protected, virtual]`

Creates simple textured material (just one color texture)

Parameters:

  tex | Required texture
  name | Requested name for the material

Returns:
  New material

Implements VisimBox.Renderer.MaterialManager.

The documentation for this class was generated from the following file:

- GLMaterialMan.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events